Skip to main content
GET
/
2025-09
/
units
List all Units
curl --request GET \
  --url https://public-api.stora.co/2025-09/units \
  --header 'Authorization: Bearer <token>'
{
  "units": [
    {
      "id": "unit_1e36123098e22cf8",
      "created_at": "2025-02-22T14:41:00Z",
      "reference_id": "UNIT-001",
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "status": "available",
      "unit_allocation": null,
      "unit_type": {
        "id": "utype_f18fc91387cdf710"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
unit_type_id
string[]

Filter by Unit Type IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

status
enum<string>[]

The current status of the unit. Supports multiple values separated by a comma.

Available options:
available,
reserved,
occupied,
overlock,
repossessed,
unavailable
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Search units by reference ID (fuzzy match). BETA

Response

200 - application/json

list of units

List of Units

units
object[]
meta
object